Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.fill
Class JRFillAreaPlot

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRFillChartPlot
          net.sf.jasperreports.charts.fill.JRFillAreaPlot

All Implemented Interfaces:
  java.lang.Cloneable, JRAreaPlot, JRCategoryAxisFormat, JRValueAxisFormat, JRChartPlot, JRCloneable

    public class JRFillAreaPlot

extends JRFillChartPlot
implements JRAreaPlot

Version:
  $Id: JRFillAreaPlot.java 3938 2010-08-19 14:59:36Z teodord $
Author:
  Flavius Sana (flavius_sana@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot
`JRChartPlot.JRSeriesColor`

Field Summary
`protected java.awt.Color` | `categoryAxisLabelColor`
`protected JRFont` | `categoryAxisLabelFont`
`protected java.awt.Color` | `categoryAxisLineColor`
`protected java.awt.Color` | `categoryAxisTickLabelColor`
`protected JRFont` | `categoryAxisTickLabelFont`
`protected java.awt.Color` | `valueAxisLabelColor`
`protected JRFont` | `valueAxisLabelFont`
`protected java.awt.Color` | `valueAxisLineColor`
`protected java.awt.Color` | `valueAxisTickLabelColor`
`protected JRFont` | `valueAxisTickLabelFont`

Fields inherited from class net.sf.jasperreports.engine.fill.JRFillChartPlot
`chart, parent`

Fields inherited from interface net.sf.jasperreports.charts.JRCategoryAxisFormat
`PROPERTY_CATEGORY_AXIS_TICK_LABEL_ROTATION`

Constructor Summary
`JRFillAreaPlot(JRAreaPlot areaPlot, JRFillObjectFactory factory)`

Method Summary
`java.awt.Color` | `getCategoryAxisLabelColor()`
`JRExpression` | `getCategoryAxisLabelExpression()`
`JRFont` | `getCategoryAxisLabelFont()`
`java.awt.Color` | `getCategoryAxisLineColor()`
`java.awt.Color` | `getCategoryAxisTickLabelColor()`
`JRFont` | `getCategoryAxisTickLabelFont()`
`java.lang.String` | `getCategoryAxisTickLabelMask()`
`java.lang.Double` | `getCategoryAxisTickLabelRotation()`
`java.lang.Boolean` | `getCategoryAxisVerticalTickLabels()`
`JRExpression` | `getDomainAxisMaxValueExpression()`
`JRExpression` | `getDomainAxisMinValueExpression()`
`java.awt.Color` | `getOwnCategoryAxisLabelColor()`
`java.awt.Color` | `getOwnCategoryAxisLineColor()`
`java.awt.Color` | `getOwnCategoryAxisTickLabelColor()`
`java.awt.Color` | `getOwnValueAxisLabelColor()`
`java.awt.Color` | `getOwnValueAxisLineColor()`
`java.awt.Color` | `getOwnValueAxisTickLabelColor()`
`JRExpression` | `getRangeAxisMaxValueExpression()`
`JRExpression` | `getRangeAxisMinValueExpression()`
`java.awt.Color` | `getValueAxisLabelColor()`
`JRExpression` | `getValueAxisLabelExpression()`
`JRFont` | `getValueAxisLabelFont()`
`java.awt.Color` | `getValueAxisLineColor()`
`java.awt.Color` | `getValueAxisTickLabelColor()`
`JRFont` | `getValueAxisTickLabelFont()`
`java.lang.String` | `getValueAxisTickLabelMask()`
`java.lang.Boolean` | `getValueAxisVerticalTickLabels()`
`void` | `setCategoryAxisLabelColor(java.awt.Color color)`
`void` | `setCategoryAxisLineColor(java.awt.Color color)`
`void` | `setCategoryAxisTickLabelColor(java.awt.Color color)`
`void` | `setCategoryAxisTickLabelRotation(java.lang.Double labelRotation)`
`void` | `setValueAxisLabelColor(java.awt.Color color)`
`void` | `setValueAxisLineColor(java.awt.Color color)`
`void` | `setValueAxisTickLabelColor(java.awt.Color color)`

Methods inherited from class net.sf.jasperreports.engine.fill.JRFillChartPlot
`addSeriesColor, clearSeriesColors, clone, clone, collectExpressions, getBackcolor, getBackgroundAlpha, getBackgroundAlphaFloat, getChart, getForegroundAlpha, getForegroundAlphaFloat, getLabelRotation, getLabelRotationDouble, getOrientation, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setBackgroundAlpha, setForegroundAlpha, setForegroundAlpha, setLabelRotation, setLabelRotation, setOrientation, setSeriesColors`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot
`addSeriesColor, clearSeriesColors, clone, collectExpressions, getBackcolor, getBackgroundAlpha, getBackgroundAlphaFloat, getChart, getForegroundAlpha, getForegroundAlphaFloat, getLabelRotation, getLabelRotationDouble, getOrientation, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setBackgroundAlpha, setForegroundAlpha, setForegroundAlpha, setLabelRotation, setLabelRotation, setOrientation, setSeriesColors`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Field Detail

### categoryAxisLabelFont

    protected JRFont categoryAxisLabelFont

### categoryAxisLabelColor

    protected java.awt.Color categoryAxisLabelColor

### categoryAxisTickLabelFont

    protected JRFont categoryAxisTickLabelFont

### categoryAxisTickLabelColor

    protected java.awt.Color categoryAxisTickLabelColor

### categoryAxisLineColor

    protected java.awt.Color categoryAxisLineColor

### valueAxisLabelFont

    protected JRFont valueAxisLabelFont

### valueAxisLabelColor

    protected java.awt.Color valueAxisLabelColor

### valueAxisTickLabelFont

    protected JRFont valueAxisTickLabelFont

### valueAxisTickLabelColor

    protected java.awt.Color valueAxisTickLabelColor

### valueAxisLineColor

    protected java.awt.Color valueAxisLineColor

Constructor Detail

### JRFillAreaPlot

    public JRFillAreaPlot(JRAreaPlot areaPlot,
                          JRFillObjectFactory factory)

Method Detail

### getCategoryAxisLabelExpression

    public JRExpression getCategoryAxisLabelExpression()

  Specified by:
    `getCategoryAxisLabelExpression` in interface `JRAreaPlot`

### getCategoryAxisLabelFont

    public JRFont getCategoryAxisLabelFont()

  Specified by:
    `getCategoryAxisLabelFont` in interface `JRCategoryAxisFormat`

### getCategoryAxisLabelColor

    public java.awt.Color getCategoryAxisLabelColor()

  Specified by:
    `getCategoryAxisLabelColor` in interface `JRCategoryAxisFormat`

### getOwnCategoryAxisLabelColor

    public java.awt.Color getOwnCategoryAxisLabelColor()

  Specified by:
    `getOwnCategoryAxisLabelColor` in interface `JRCategoryAxisFormat`

### setCategoryAxisLabelColor

    public void setCategoryAxisLabelColor(java.awt.Color color)

### getCategoryAxisTickLabelFont

    public JRFont getCategoryAxisTickLabelFont()

  Specified by:
    `getCategoryAxisTickLabelFont` in interface `JRCategoryAxisFormat`

### getCategoryAxisTickLabelColor

    public java.awt.Color getCategoryAxisTickLabelColor()

  Specified by:
    `getCategoryAxisTickLabelColor` in interface `JRCategoryAxisFormat`

### getOwnCategoryAxisTickLabelColor

    public java.awt.Color getOwnCategoryAxisTickLabelColor()

  Specified by:
    `getOwnCategoryAxisTickLabelColor` in interface `JRCategoryAxisFormat`

### setCategoryAxisTickLabelColor

    public void setCategoryAxisTickLabelColor(java.awt.Color color)

### getCategoryAxisTickLabelMask

    public java.lang.String getCategoryAxisTickLabelMask()

  Specified by:
    `getCategoryAxisTickLabelMask` in interface `JRCategoryAxisFormat`

### getCategoryAxisVerticalTickLabels

    public java.lang.Boolean getCategoryAxisVerticalTickLabels()

  Specified by:
    `getCategoryAxisVerticalTickLabels` in interface `JRCategoryAxisFormat`

### getCategoryAxisTickLabelRotation

    public java.lang.Double getCategoryAxisTickLabelRotation()

  Specified by:
    `getCategoryAxisTickLabelRotation` in interface `JRCategoryAxisFormat`

### setCategoryAxisTickLabelRotation

    public void setCategoryAxisTickLabelRotation(java.lang.Double labelRotation)

  Specified by:
    `setCategoryAxisTickLabelRotation` in interface `JRCategoryAxisFormat`

### getCategoryAxisLineColor

    public java.awt.Color getCategoryAxisLineColor()

  Specified by:
    `getCategoryAxisLineColor` in interface `JRCategoryAxisFormat`

### getOwnCategoryAxisLineColor

    public java.awt.Color getOwnCategoryAxisLineColor()

  Specified by:
    `getOwnCategoryAxisLineColor` in interface `JRCategoryAxisFormat`

### setCategoryAxisLineColor

    public void setCategoryAxisLineColor(java.awt.Color color)

### getValueAxisLabelExpression

    public JRExpression getValueAxisLabelExpression()

  Specified by:
    `getValueAxisLabelExpression` in interface `JRAreaPlot`

### getDomainAxisMinValueExpression

    public JRExpression getDomainAxisMinValueExpression()

  Specified by:
    `getDomainAxisMinValueExpression` in interface `JRAreaPlot`

### getDomainAxisMaxValueExpression

    public JRExpression getDomainAxisMaxValueExpression()

  Specified by:
    `getDomainAxisMaxValueExpression` in interface `JRAreaPlot`

### getRangeAxisMinValueExpression

    public JRExpression getRangeAxisMinValueExpression()

  Specified by:
    `getRangeAxisMinValueExpression` in interface `JRAreaPlot`

### getRangeAxisMaxValueExpression

    public JRExpression getRangeAxisMaxValueExpression()

  Specified by:
    `getRangeAxisMaxValueExpression` in interface `JRAreaPlot`

### getValueAxisLabelFont

    public JRFont getValueAxisLabelFont()

  Specified by:
    `getValueAxisLabelFont` in interface `JRValueAxisFormat`

### getValueAxisLabelColor

    public java.awt.Color getValueAxisLabelColor()

  Specified by:
    `getValueAxisLabelColor` in interface `JRValueAxisFormat`

### getOwnValueAxisLabelColor

    public java.awt.Color getOwnValueAxisLabelColor()

  Specified by:
    `getOwnValueAxisLabelColor` in interface `JRValueAxisFormat`

### setValueAxisLabelColor

    public void setValueAxisLabelColor(java.awt.Color color)

### getValueAxisTickLabelFont

    public JRFont getValueAxisTickLabelFont()

  Specified by:
    `getValueAxisTickLabelFont` in interface `JRValueAxisFormat`

### getValueAxisTickLabelColor

    public java.awt.Color getValueAxisTickLabelColor()

  Specified by:
    `getValueAxisTickLabelColor` in interface `JRValueAxisFormat`

### getOwnValueAxisTickLabelColor

    public java.awt.Color getOwnValueAxisTickLabelColor()

  Specified by:
    `getOwnValueAxisTickLabelColor` in interface `JRValueAxisFormat`

### setValueAxisTickLabelColor

    public void setValueAxisTickLabelColor(java.awt.Color color)

### getValueAxisTickLabelMask

    public java.lang.String getValueAxisTickLabelMask()

  Specified by:
    `getValueAxisTickLabelMask` in interface `JRValueAxisFormat`

### getValueAxisVerticalTickLabels

    public java.lang.Boolean getValueAxisVerticalTickLabels()

  Specified by:
    `getValueAxisVerticalTickLabels` in interface `JRValueAxisFormat`

### getValueAxisLineColor

    public java.awt.Color getValueAxisLineColor()

  Specified by:
    `getValueAxisLineColor` in interface `JRValueAxisFormat`

### getOwnValueAxisLineColor

    public java.awt.Color getOwnValueAxisLineColor()

  Specified by:
    `getOwnValueAxisLineColor` in interface `JRValueAxisFormat`

### setValueAxisLineColor

    public void setValueAxisLineColor(java.awt.Color color)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com